Bug 728827

Summary: install uEFI mode RHEL6.1 by using PXE will be error
Product: Red Hat Enterprise Linux 6 Reporter: Leo Liu <leo1.liu>
Component: anacondaAssignee: Anaconda Maintenance Team <anaconda-maint-list>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Release Test Team <release-test-team>
Severity: high Docs Contact:
Priority: unspecified    
Version: 6.1CC: peterm
Target Milestone: rc   
Target Release: 6.1   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-01-03 20:34:13 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 756082    

Description Leo Liu 2011-08-08 03:37:21 UTC
Description of problem:
Installing 6.1 by using PXE server, it will be kernel panic,
but 6.0 is succesful.

Version-Release number of selected component (if applicable):


How reproducible:
prepare an PXE server and using network installing RHEL6.1

Steps to Reproduce:
1. prepare the PXE server by using the config like below:
DHCP NFS TFTP service is started and workable.

modify the BOOTX64.cfg
vi /var/lib/tftpboot/BOOTX64.cfg
#debug --graphics
default=0
timeout=30
splashimage=(nd)/splash.xpm.gz
timeout 5
hiddenmenu
title Red Hat Enterprise Linux 6.0
	root (nd)
	kernel /rhel6.0/vmlinuz ip=dhcp method=nfs:192.168.16.1:/var/ftp/rhel6.0x64/
	initrd /rhel6.0/initrd.img

title Red Hat Enterprise Linux 6.1
	root (nd)
	kernel /rhel6.1/vmlinuz ip=dhcp method=nfs:192.168.16.1:/var/ftp/rhel6.1x64/ 
	initrd /rhel6.1/initrd.img

2.client using PXE install from PXE server

3.select install RHEL6.1
  
Actual results:
It will show kernel panic - not syncing: VFS: unable to mount root fs on unknown-block(1,0) 

Expected results:
it should be into the grub menu to install OS

Additional info:

Comment 2 Peter Jones 2011-11-20 16:50:56 UTC
This can't be fully evaluated until the traceback that results is attached to the bug, but it's certainlty not an efibootmgr bug.  Reassigning to kernel, though it could still be a grub problem or a dhcpd.conf configuration problem.  No way to tell until we see the traceback.

Comment 4 Matthew Garrett 2011-12-13 13:34:06 UTC
For some reason the kernel's being asked to boot from /dev/ram0. Reassigning to anaconda.

Comment 5 David Cantrell 2012-01-03 20:34:13 UTC
This can't be an anaconda problem yet, anaconda isn't running.  Too vague.